aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/ftp.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/ftp.bash')
-rw-r--r--bash/bash_completion.d/ftp.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/bash/bash_completion.d/ftp.bash b/bash/bash_completion.d/ftp.bash
index a584dd81..f174b5ff 100644
--- a/bash/bash_completion.d/ftp.bash
+++ b/bash/bash_completion.d/ftp.bash
@@ -26,7 +26,7 @@ _ftp() {
# Generate completion reply
local machine
for machine in "${machines[@]}" ; do
- [[ $machine == "${COMP_WORDS[COMP_CWORD]}"* ]] || continue
+ [[ $machine == "$2"* ]] || continue
COMPREPLY[${#COMPREPLY[@]}]=$machine
done
}